%global momorel 3

Summary: a C language library for text rendering
Name: glyph-keeper
Version: 0.32
Release: %{momorel}m%{?dist}
License: "See lisence.txt"
Group: Development/Libraries
Source0: http://kd.lab.nig.ac.jp/%{name}/files/%{name}-%{version}.zip 
NoSource: 0
URL: http://kd.lab.nig.ac.jp/glyph-keeper/
Patch: glyph-keeper-0.32-math.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libXext-devel
BuildRequires: libXpm-devel
BuildRequires: libXcursor-devel
BuildRequires: libXxf86vm-devel
BuildRequires: libXxf86dga-devel
BuildRequires: libX11-devel
BuildRequires: allegro-devel

%description
Glyph Keeper is a C language library for text rendering. Glyph Keeper
helps your program to load a font, render character glyphs and write
them to the target surface. Right now only Allegro and SDL targets are
supported, but there will be more in future. Glyph Keeper is free,
portable, effecient and easy to use. If you are new here, you are
welcome to see the Introduction page.

%prep
%setup -q
%patch -p1 -b .math

%build
make -f Makefile.GNU.all TARGET=TEXT all
make -f Makefile.GNU.all TARGET=ALLEGRO all
#make -f Makefile.GNU.all TARGET=SDL all

%install
rm -rf --preserve-root %{buildroot}
install -d %{buildroot}%{_includedir} \
    %{buildroot}%{_libdir} \
    %{buildroot}%{_datadir}/%{name}
make -f Makefile.GNU.all TARGET=TEXT \
    includedir_u=%{buildroot}%{_includedir} \
    libdir_u=%{buildroot}%{_libdir} \
    install
make -f Makefile.GNU.all TARGET=ALLEGRO \
    includedir_u=%{buildroot}%{_includedir} \
    libdir_u=%{buildroot}%{_libdir} \
    install
#make -f Makefile.GNU.all TARGET=SDL \
#    includedir_u=%{buildroot}%{_includedir} \
#    libdir_u=%{buildroot}%{_libdir} \
#    install
cp -ar benchmark docs examples %{buildroot}%{_datadir}/%{name}/

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root)
%doc authors.txt changes.txt license.txt quotes.txt readme.txt releng.txt
%{_includedir}/glyph.h
%{_libdir}/libglyph-alleg.a
%{_libdir}/libglyph-text.a
%{_datadir}/%{name}

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.32-3m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.32-2m)
- %%NoSource -> NoSource

* Mon Aug 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.32-1m)
- initial build
